use "C:\Users\Erik Liahjell Saue\Desktop\Økonomi, HHiT\Siv.øk\5. år\Vårsemester\Masteroppgåve\Data masteroppgave\Endelige data\Endelige data 2007_2019.dta"

/// Data til strategi basert på Emery & Liu ///


/// Periode 1 ///

* Kjører regresjon for in-sample period 1
reg ElNordPool ElGer if inrange(Time,196,1195)

* Predikerer residual for in-sample periode slik at vi kan finne std. avvik til residualene
predict res_in_sample1 if inrange(Time,196,1195), residual

* Finner std. avvik til residualer 
sum res_in_sample1

* Predikerer residualer for out-of-sample periode 1 basert på resultat fra in-sample regresjon
gen res_out_of_sample1= ElNordPool-(28.22647+0.3533892* ElGer) if inrange(Time,1196,2195)

/// Periode 2 ///

* Kjører regresjon for in-sample period 2
reg ElNordPool ElGer if inrange(Time,771,1769)

* Predikerer residual for in-sample periode slik at vi kan finne std. avvik til residualene
predict res_in_sample2 if inrange(Time,771,1769), residual

* Finner std. avvik til residualer 
sum res_in_sample2

* Predikerer residualer for out-of-sample periode 2 basert på resultat fra in-sample regresjon
gen res_out_of_sample2= ElNordPool-(7.067577+0.7841362* ElGer) if inrange(Time,1770,2770)


/// Periode 3 ///


* Kjører regresjon for in-sample period 2
reg ElNordPool ElGer if inrange(Time,1005,2002)

* Predikerer residual for in-sample periode slik at vi kan finne std. avvik til residualene
predict res_in_sample3 if inrange(Time,1005,2002), residual

* Finner std. avvik til residualer 
sum res_in_sample3

* Predikerer residualer for out-of-sample periode 3 basert på resultat fra in-sample regresjon
gen res_out_of_sample3= ElNordPool-(3.52416+0.7972999* ElGer) if inrange(Time,2003,3003)
